loci.formats.in

## Enum SPEReader.SpeHeaderType

- java.lang.Object
- - java.lang.Enum<SPEReader.SpeHeaderType>
  - - loci.formats.in.SPEReader.SpeHeaderType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SPEReader.SpeHeaderType>
  Enclosing class:
    SPEReader

      private static enum SPEReader.SpeHeaderType
      extends java.lang.Enum<SPEReader.SpeHeaderType>

  SpeHeaderType is an Enum representing the available data types stored in the SPE header

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTE`
    `FLOAT`
    `INT`
    `INTARRAY`
    `LONG`
    `LONGARRAY`
    `ROIARRAY`
    `SHORT`
    `SHORTARRAY`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SPEReader.SpeHeaderType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SPEReader.SpeHeaderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLOAT

          public static final SPEReader.SpeHeaderType FLOAT

    - #### LONG

          public static final SPEReader.SpeHeaderType LONG

    - #### INT

          public static final SPEReader.SpeHeaderType INT

    - #### SHORT

          public static final SPEReader.SpeHeaderType SHORT

    - #### BYTE

          public static final SPEReader.SpeHeaderType BYTE

    - #### STRING

          public static final SPEReader.SpeHeaderType STRING

    - #### LONGARRAY

          public static final SPEReader.SpeHeaderType LONGARRAY

    - #### INTARRAY

          public static final SPEReader.SpeHeaderType INTARRAY

    - #### SHORTARRAY

          public static final SPEReader.SpeHeaderType SHORTARRAY

    - #### ROIARRAY

          public static final SPEReader.SpeHeaderType ROIARRAY

  - ### Method Detail

    - #### values

          public static SPEReader.SpeHeaderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SPEReader.SpeHeaderType c : SPEReader.SpeHeaderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SPEReader.SpeHeaderType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2026 Open Microscopy Environment